<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Document</title>

  <link rel="apple-touch-icon" sizes="180x180" href="./favicons/apple-touch-icon.png" />
  <link rel="icon" type="image/jpg" sizes="32x32" href="./favicons/favicon-32x32.png" />
  <link rel="icon" type="image/jpg" sizes="16x16" href="./favicons/favicon-16x16.png" />
  <link rel="manifest" href="./favicons/site.webmanifest" />
  <link rel="mask-icon" href="./favicons/safari-pinned-tab.svg" color="#5bbad5" />
  <meta name="msapplication-TileColor" content="#2b5797" />
  <meta name="theme-color" content="#473a3a" />

  <link rel="preconnect" href="https://fonts.googleapis.com" />
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />

  <link rel="stylesheet" href="./css/index.css" />
  <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&display=swap" rel="stylesheet" />
  <link rel="stylesheet" href="./css/index.css" />

  <script src="./js/script.js" defer></script>
</head>

<body>
  <header class="page-header">
    <a href="index.html" class="logo">
      <img src="./img/logo.png" alt="" class="logo__img" width="200" height="39" />
    </a>
  </header>

  <div class="page-wrapper">
    <main class="page-main">
      <section class="sorting" hidden>
        <label class="sorting__element sorting__title">СОРТУВАТИ:</label>

        <button class="sorting__element sorting__btn sorting__btn--active" type="button">ЗА замовчанням</button>

        <button class="sorting__element sorting__btn" type="button">ЗА ПРІЗВИЩЕМ<button>

            <button class="sorting__element sorting__btn" type="button">ЗА ДОСВІДОМ<button>
      </section>

      <section class="trainers-cards">
        <div class="preloader" id="preloader"></div>
        <ul class="trainers-cards__container">
          <!-- Контейнер для карток тренерів -->
        </ul>
      </section>
    </main>

    <aside class="sidebar" hidden>
      <form class="sidebar__filters filters">
        <fieldset class="filters__fieldset">
          <legend class="filters__legend">НАПРЯМИ</legend>

          <input class="filters__input" type="radio" name="direction" id="all-direction" value="all" checked />
          <label for="all-direction" class="filters__label"> ВСІ </label>

          <input class="filters__input" type="radio" name="direction" id="gym" value="gym" />
          <label for="gym" class="filters__label"> ТРЕНАЖЕРНИЙ ЗАЛ </label>

          <input class="filters__input" type="radio" name="direction" id="fight-club" value="fight club" />
          <label for="fight-club" class="filters__label">
            БІЙЦІВСЬКИЙ КЛУБ
          </label>

          <input class="filters__input" type="radio" name="direction" id="kids-club" value="kids club" />
          <label for="kids-club" class="filters__label"> ДИТЯЧИЙ КЛУБ </label>

          <input class="filters__input" type="radio" name="direction" id="swimming-pool" value="swimming pool" />
          <label for="swimming-pool" class="filters__label"> БАСЕЙН </label>
        </fieldset>

        <fieldset class="filters__fieldset">
          <legend class="filters__legend">КАТЕГОРІЇ</legend>

          <input class="filters__input" type="radio" name="category" id="all-category" value="all" checked />
          <label for="all-category" class="filters__label"> ВСІ </label>

          <input class="filters__input" type="radio" name="category" id="master" value="master" />
          <label for="master" class="filters__label"> МАЙСТЕР </label>

          <input class="filters__input" type="radio" name="category" id="specialist" value="specialist" />
          <label for="specialist" class="filters__label"> СПЕЦІАЛІСТ </label>

          <input class="filters__input" type="radio" name="category" id="instructor" value="instructor" />
          <label for="instructor" class="filters__label"> ІНСТРУКТОР </label>
        </fieldset>

        <input type="submit" value="ПОКАЗАТИ" class="filters__submit" />
      </form>
    </aside>
  </div>

  <footer class="page__footer">
    <p class="copyright">&copy; Fitness First</p>
  </footer>

  <template id="modal-template">
    <div class="modal">
      <div class="modal__body">
        <img src="./img/trainers/trainer-m1.jpg" alt="" class="modal__img" width="280" height="360" />
        <div class="modal__description">
          <p class="modal__name">Мануйленко Артем</p>
          <p class="modal__point modal__point--category">
            Категорія: інструктор
          </p>
          <p class="modal__point modal__point--experience">Досвід: 8 років</p>
          <p class="modal__point modal__point--specialization">
            Напрям тренера: Тренажерний зал
          </p>
          <p class="modal__text">
            Артем спеціалізується на функціональному тренуванні. Він розробив
            власну систему вправ для зміцнення корпусу. Його учні завжди
            отримують видимі результати.
          </p>
        </div>

        <button class="modal__close">
          <svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" viewBox="0 0 72 72">
            <path
              d="M 19 15 C 17.977 15 16.951875 15.390875 16.171875 16.171875 C 14.609875 17.733875 14.609875 20.266125 16.171875 21.828125 L 30.34375 36 L 16.171875 50.171875 C 14.609875 51.733875 14.609875 54.266125 16.171875 55.828125 C 16.951875 56.608125 17.977 57 19 57 C 20.023 57 21.048125 56.609125 21.828125 55.828125 L 36 41.65625 L 50.171875 55.828125 C 51.731875 57.390125 54.267125 57.390125 55.828125 55.828125 C 57.391125 54.265125 57.391125 51.734875 55.828125 50.171875 L 41.65625 36 L 55.828125 21.828125 C 57.390125 20.266125 57.390125 17.733875 55.828125 16.171875 C 54.268125 14.610875 51.731875 14.609875 50.171875 16.171875 L 36 30.34375 L 21.828125 16.171875 C 21.048125 15.391875 20.023 15 19 15 z">
            </path>
          </svg>
        </button>
      </div>
    </div>
  </template>

  <template id="trainer-card">
    <li class="trainer">
      <img src="./img/trainers/trainer-m12.png" alt="" class="trainer__img" width="280" + height="300" />
      <p class="trainer__name">Мануйленко Артем</p>

      <button class="trainer__show-more" type="button">ПОКАЗАТИ</button>
    </li>
  </template>
</body>

</html>